
CoCoA-5 - Feature #1543

Default path for packages

04 Dec 2020 09:31 - Anna Maria Bigatti

Status: Closed Start date: 04 Dec 2020

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Parser/Interpreter Estimated time: 1.01 hour

Target version: CoCoA-5.4.0 Spent time: 1.01 hour

Description

Now CoCoAInterpreter look for packages (if not specified) in its own directory.  Add also the path "../"

Related issues:

Related to CoCoA-5 - Support #322: Installation instructions (on website) In Progress 26 Feb 2013

History

#1 - 04 Dec 2020 09:32 - Anna Maria Bigatti

- Related to Support #322: Installation instructions (on website) added

#2 - 04 Dec 2020 09:37 - Anna Maria Bigatti

This is for running CoCoAInterpreter in terminal, when it is saved in the bin/ directory.

This happens (at least) for Mac users after installation, who need to "approve" the executability on CoCoAInterpreter.  Even though harmless, the

error message about not finding the packaes is, at the very least, highly disconcerting!

#3 - 04 Dec 2020 09:40 - Anna Maria Bigatti

- % Done changed from 0 to 20

Main.C L279

#4 - 04 Dec 2020 10:26 - Anna Maria Bigatti

- Status changed from New to Feedback

- Priority changed from Normal to High

- % Done changed from 20 to 90

- Estimated time set to 1.01 h

Done and tested. cvs-ed.

#5 - 08 Jan 2021 11:28 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
